summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2009-07-26 19:58:02 +0200
committerDan McGee <dan@archlinux.org>2009-07-26 19:58:02 +0200
commit597118ddd756426530c3ed798e71ab9427438fb6 (patch)
tree3c70dbdb2f76c25d0e14f9e4fef7b9842fc48d1e /scripts
parent6fa5f2075aaffec9b9cc89329461a34e29b5b2a6 (diff)
downloadpacman-597118ddd756426530c3ed798e71ab9427438fb6.tar.gz
pacman-597118ddd756426530c3ed798e71ab9427438fb6.tar.xz
Revert "makepkg: Exit on failure within build() or package() functions"
As reported in FS#15210, we have some problems with split packages and variable overrides because of this patch. For now, in prep for a release, it is best to back it out and see what we can do later. This reverts commit 621aa26e26fcf578221051e896d6440a0095b8a3. Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in8
1 files changed, 3 insertions, 5 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 7e492f8f..6c4aeb8b 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -718,10 +718,8 @@ run_build() {
build 2>&1 | tee "$BUILDLOG"; ret=${PIPESTATUS[0]}
else
- # piping to cat ensures makepkg fails on any build error
- build 2>&1 | cat -; ret=${PIPESTATUS[0]}
+ build 2>&1 || ret=$?
fi
-
# reset our shell options
eval "$shellopts"
@@ -774,12 +772,12 @@ run_package() {
exec 3>&1
tee "$BUILDLOG" < "$logpipe" &
exec 1>"$logpipe" 2>"$logpipe"
- $pkgfunc 2>&1 | cat -; ret=${PIPESTATUS[0]}
+ $pkgfunc 2>&1 || ret=$?
sync
exec 1>&3 2>&3 3>&-
rm "$logpipe"
else
- $pkgfunc 2>&1 | cat -; ret=${PIPESTATUS[0]}
+ $pkgfunc 2>&1 || ret=$?
fi
if [ $ret -gt 0 ]; then